# gdcm::XMLPrivateDictReader Class Reference

Class for representing a XMLPrivateDictReader. More...

`#include <gdcmXMLPrivateDictReader.h>`

Inheritance diagram for gdcm::XMLPrivateDictReader:
[legend]
Collaboration diagram for gdcm::XMLPrivateDictReader:
[legend]

List of all members.

## Public Member Functions
| XMLPrivateDictReader ()
| ~XMLPrivateDictReader ()
void | CharacterDataHandler (const char *data, int length)
void | EndElement (const char *name)
const PrivateDict & | GetPrivateDict ()
void | StartElement (const char *name, const char **atts)
## Protected Member Functions
void | HandleDescription (const char **atts)
void | HandleEntry (const char **atts)

## Detailed Description

Class for representing a XMLPrivateDictReader.

Note:
  bla Will read the Private.xml file

## Constructor & Destructor Documentation

gdcm::XMLPrivateDictReader::XMLPrivateDictReader | ( |  | ) |

gdcm::XMLPrivateDictReader::~XMLPrivateDictReader | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::XMLPrivateDictReader::CharacterDataHandler | ( | const char * | data,
|  | int | length |
| ) |  |  | `[virtual]`

Reimplemented from gdcm::TableReader.

void gdcm::XMLPrivateDictReader::EndElement | ( | const char * | name | ) | `[virtual]`

Reimplemented from gdcm::TableReader.

const PrivateDict& gdcm::XMLPrivateDictReader::GetPrivateDict | ( |  | ) | `[inline]`

void gdcm::XMLPrivateDictReader::HandleDescription | ( | const char ** | atts | ) | `[protected]`

void gdcm::XMLPrivateDictReader::HandleEntry | ( | const char ** | atts | ) | `[protected]`

void gdcm::XMLPrivateDictReader::StartElement | ( | const char * | name,
|  | const char ** | atts |
| ) |  |  | `[virtual]`

Reimplemented from gdcm::TableReader.

The documentation for this class was generated from the following file:

- gdcmXMLPrivateDictReader.h